package com.banesco.domain.bian.response;


import com.banesco.common.domain.dto.bian.response.BaseResponse;
import com.banesco.common.domain.dto.bian.response.BianStatusResponse;
import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.EqualsAndHashCode;


@RegisterForReflection
@EqualsAndHashCode(callSuper = false)
public class RecUpdateCardStatusResponse extends BaseResponse<BianStatusResponse, Object> {

    public RecUpdateCardStatusResponse() {
        super();
    }

    public RecUpdateCardStatusResponse(BianStatusResponse statusResponse, Object data) {
        super(statusResponse, data);
    }

    @Override
    public String toString() {

        return "{\"statusResponse\":%s}".formatted(statusResponse.toString());
    }

}
